Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79282 - PUT request body processing leaks memory
Summary: PUT request body processing leaks memory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-09 15:23 UTC by Joe Orton
Modified: 2007-04-18 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-06 18:25:56 UTC


Attachments (Terms of Use)

Description Joe Orton 2002-12-09 15:23:46 UTC
Memory usage of httpd processes grows proportional to the request body size for
PUT requests.

e.g. send a PUT request with a 400mb request body and watch out for the OOM killer.

Comment 1 Joe Orton 2002-12-09 20:52:46 UTC
This is known memory leak (or several) in ap_get_client_block(), fixed in Apache
CVS HEAD.

Comment 2 Joe Orton 2003-01-06 18:25:56 UTC
Back-ported fixes included in 2.0.40-15.


Note You need to log in before you can comment on or make changes to this bug.